Package com.castlabs.android.adverts

## Class AdRequest

- java.lang.Object
- - com.castlabs.android.adverts.AdRequest

- All Implemented Interfaces:
    `Parcelable`

      public final class AdRequest
      extends Object
      implements Parcelable

  Container class for Ad requests.
  Since:
    3.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface android.os.Parcelable

      `Parcelable.ClassLoaderCreator<T extends Object>, Parcelable.Creator<T extends Object>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Parcelable.Creator<AdRequest>` | `CREATOR` |
    `Bundle` | `request` |
    `static String` | `SCHEDULE_DELAY_MS_KEY` | Key for identifying the default time offset that will be added to the current position when manually scheduling ads
    `static String` | `TAG_URL_KEY` | Ad tag for (client-side) IMA requests.

    - ### Fields inherited from interface android.os.Parcelable

      `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AdRequest​(Bundle request)` | Create ads request with ads specific parameters stored in the provided Bundle

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `describeContents()` |
    `boolean` | `equals​(Object obj)` |
    `void` | `writeToParcel​(Parcel out, int flags)` |

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TAG_URL_KEY

          public static final String TAG_URL_KEY

      Ad tag for (client-side) IMA requests.
      See Also:
        Constant Field Values

    - #### request

          @Nullable
          public final Bundle request

    - #### SCHEDULE_DELAY_MS_KEY

          public static final String SCHEDULE_DELAY_MS_KEY

      Key for identifying the default time offset that will be added to the current position when manually scheduling ads
      See Also:
        Constant Field Values

    - #### CREATOR

          public static final Parcelable.Creator<AdRequest> CREATOR

  - ### Constructor Detail

    - #### AdRequest

          public AdRequest​(@NonNull
                           Bundle request)

      Create ads request with ads specific parameters stored in the provided Bundle
      Parameters:
        `request` - The bundle with ads specific parameters

  - ### Method Detail

    - #### describeContents

          public int describeContents()

      Specified by:
        `describeContents` in interface `Parcelable`

    - #### writeToParcel

          public void writeToParcel​(Parcel out,
                                    int flags)

      Specified by:
        `writeToParcel` in interface `Parcelable`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`